#include "runtime/mem_arena.h"
#include "runtime/resources.h"
#include "runtime/threading.h"

#include "gfx/gfx.h"
#include "gfx/renderer_api.h"

#include "asset_compiler/asset_compiler.h"

void RegisterCVars(void) {
    rtRegisterAssetCompilerCVars();
}

static rt_framegraph *_framegraph;

/* Called after the runtime has finished its initialization and before entering the main-loop*/
void Init(void) {
    rtLog("GAME", "Init");
    rtInitAssetCompiler();

    rtWaitForAssetProcessing();
}

/* Called after exiting the main-loop and before the runtime starts its shutdown */
void Shutdown(void) {
    rtLog("GAME", "Shutdown");
    rtShutdownAssetCompiler();
}

void Update(unsigned int frame_id) {
    RT_UNUSED(frame_id);
}

void Render(unsigned int frame_id) {
}