#include "gpu.hpp"

DXGI_FORMAT rtConvertPixelFormat(rt_pixel_format format) {
    switch (format) {
    case RT_PIXEL_FORMAT_INVALID:
        return DXGI_FORMAT_UNKNOWN;
    case RT_PIXEL_FORMAT_R8G8B8A8_UNORM:
        return DXGI_FORMAT_R8G8B8A8_UNORM;
    case RT_PIXEL_FORMAT_B8G8R8A8_UNORM:
        return DXGI_FORMAT_B8G8R8A8_UNORM;
    case RT_PIXEL_FORMAT_R8G8B8A8_SRGB:
        return DXGI_FORMAT_R8G8B8A8_UNORM_SRGB;
    case RT_PIXEL_FORMAT_B8G8R8A8_SRGB:
        return DXGI_FORMAT_B8G8R8A8_UNORM_SRGB;
    case RT_PIXEL_FORMAT_R8G8B8_UNORM:
        return DXGI_FORMAT_R8G8B8A8_UNORM;
    case RT_PIXEL_FORMAT_B8G8R8_UNORM:
        return DXGI_FORMAT_B8G8R8X8_UNORM;
    case RT_PIXEL_FORMAT_R8G8B8_SRGB:
        return DXGI_FORMAT_R8G8B8A8_UNORM_SRGB;
    case RT_PIXEL_FORMAT_B8G8R8_SRGB:
        return DXGI_FORMAT_B8G8R8X8_UNORM_SRGB;

    case RT_PIXEL_FORMAT_DEPTH24_STENCIL8:
        return DXGI_FORMAT_D24_UNORM_S8_UINT;
    case RT_PIXEL_FORMAT_DEPTH32:
        return DXGI_FORMAT_D32_FLOAT;
    
    default:
        return DXGI_FORMAT_UNKNOWN;
    }
}
